Subject: RE: [midcom] RE: Last Call: 'Definitions of Managed Objects forMiddlebox Communication' to Proposed Standard (draft-ietf-midcom-mib)

From: Juergen Quittek <[email-masked]>
Date: Mon, 09 Oct 2006 00:45:05 +0200

Hi Dan,

I added the note that you suggested in the text below
to all occurrences of error code 'inconsistentValue'.

Thanks,

    Juergen

--On 26.09.2006 12:54 Uhr +0300 Romascanu, Dan (Dan) wrote:

> Thanks, I have just one comment on one of the points, see below.
>
> Dan
>
>
>
>
>
>> -----Original Message-----
>> From: Juergen Quittek [mailto:[email-masked]]
>
>
>> >> 4. Several DESCRIPTION clauses (e.g. midcomRuleAdminStatus,
>> >> midcomRuleStorageType) include SNMP-specific error messages when
>> >> describing the behavior of the object. This is OK, as the
>> MIDCOM-MIB
>> >> is designed to be used with SNMP as MIDCOM protocol, yet I would
>> >> include a note on this subject because this is not
>> customary within
>> >> other MIB documents which are written with a
>> protocol-independent orientation.
>> >>
>> > [suresh] I will leave to Juergen or Martin to comment on this.
>>
>> We assume that you refer to error code 'inconsistentValue'
>> that we mention in several DESCRIPTION clauses.
>>
>> We think this is still customary in recent MIB modules from
>> where we got the idea to use this error code.  See, for
>> example, RFCs 4001, 4087, 4131, 4149, 4268, 4368, 4444, and 4546.
>
> You are correct, however discussions between MIB Doctors recently led us
> to the conclusion that it would be useful to make clear in texts of new
> documents that errors like 'inconsistentValue' are specific to the usage
> of the SMIv2 MIB module with SNMP, while if the MIB is used by other
> protocols there probably would be similar errors under different names.
>
> As I said, no special problem here, as SNMP is the MIDCOM protocol, but
> a note like the following cannot harm.
>
> 'Note that this error code is SNMP specific. If the MIB module is used
> with other protocols than SNMP, errors with similar semantics specific
> to those protocols should be returned.'
>
>

_______________________________________________
midcom mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/midcom